> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tilt.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Ticker Constraints

> Get a list of ticker constraints across all clients, including at the organization level.



## OpenAPI

````yaml GET /api/v1/custom/org/{organization_uuid}/reports/ticker_constraints/
openapi: 3.0.3
info:
  title: TILT
  version: 0.0.1
servers: []
security: []
paths:
  /api/v1/custom/org/{organization_uuid}/reports/ticker_constraints/:
    get:
      tags:
        - api
      description: >-
        Get a list of ticker constraints across all clients, including at the
        organization level.
      operationId: api_v1_custom_org_reports_ticker_constraints_list
      parameters:
        - in: query
          name: constraint_type
          schema:
            type: string
            enum:
              - no_hold
              - no_trade
          description: Filter by constraint type
        - in: path
          name: organization_uuid
          schema:
            type: string
            format: uuid
          required: true
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: page_size
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - in: query
          name: symbol
          schema:
            type: string
          description: Filter by ticker symbol
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedTickerConstraintsReportList'
          description: ''
      security:
        - ProAPIToken: []
components:
  schemas:
    PaginatedTickerConstraintsReportList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/TickerConstraintsReport'
    TickerConstraintsReport:
      type: object
      properties:
        ticker:
          type: string
        tilt_asset_id:
          type: string
          nullable: true
        constraints:
          type: array
          items:
            $ref: '#/components/schemas/ConstraintsReport'
      required:
        - constraints
        - ticker
        - tilt_asset_id
    ConstraintsReport:
      type: object
      properties:
        constraint_type:
          $ref: '#/components/schemas/ConstraintTypeEnum'
        client_count:
          type: integer
        is_org_wide:
          type: boolean
        min_start_from:
          type: string
          format: date
          nullable: true
        max_start_from:
          type: string
          format: date
          nullable: true
        min_expires_at:
          type: string
          format: date
          nullable: true
        max_expires_at:
          type: string
          format: date
          nullable: true
      required:
        - client_count
        - constraint_type
        - is_org_wide
    ConstraintTypeEnum:
      enum:
        - no_hold
        - no_trade
      type: string
      description: |-
        * `no_hold` - no_hold
        * `no_trade` - no_trade
  securitySchemes:
    ProAPIToken:
      type: apiKey
      in: header
      name: X-Api-Key

````